curl --location --request GET 'https://api.recital.finance/api/v1/direct-debit/subaccount/consent/{accountWalletId}?status=active' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <api-key>' \
{
"success": true,
"message": "Fetched successfully",
"data": [
{
"reference": "bpkffdfdsdasbf0",
"mandateStatus": "active",
"metaData": "{\"last4\":\"1334\",\"bank\":\"Sterling Bank\",\"expMonth\":5,\"expYear\":2035,\"countryCode\":\"NG\",\"accountName\":\"JOHN DOE\"}",
"email": "e@x.com",
"reusable": "true"
}
]
}
}
{
"success": false,
"message": "No data found",
"data": null
}
Wallet API(s)
Get Mandates
Guide to get mandates
GET
/
api
/
v1
/
direct-debit
/
subaccount
/
consent
/
{accountWalletId}
curl --location --request GET 'https://api.recital.finance/api/v1/direct-debit/subaccount/consent/{accountWalletId}?status=active' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <api-key>' \
{
"success": true,
"message": "Fetched successfully",
"data": [
{
"reference": "bpkffdfdsdasbf0",
"mandateStatus": "active",
"metaData": "{\"last4\":\"1334\",\"bank\":\"Sterling Bank\",\"expMonth\":5,\"expYear\":2035,\"countryCode\":\"NG\",\"accountName\":\"JOHN DOE\"}",
"email": "e@x.com",
"reusable": "true"
}
]
}
}
{
"success": false,
"message": "No data found",
"data": null
}
Authorization
string
required
API Key
string
required
Unique identifier for the subaccount wallet id. Used to retrieve consent details for a specific subaccount.
string
required
Status of the consent. Possible values:
active, inactive, created, initiated.curl --location --request GET 'https://api.recital.finance/api/v1/direct-debit/subaccount/consent/{accountWalletId}?status=active' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <api-key>' \
{
"success": true,
"message": "Fetched successfully",
"data": [
{
"reference": "bpkffdfdsdasbf0",
"mandateStatus": "active",
"metaData": "{\"last4\":\"1334\",\"bank\":\"Sterling Bank\",\"expMonth\":5,\"expYear\":2035,\"countryCode\":\"NG\",\"accountName\":\"JOHN DOE\"}",
"email": "e@x.com",
"reusable": "true"
}
]
}
}
{
"success": false,
"message": "No data found",
"data": null
}
Notes
- The returned
reusableindicate the mandate can be used for recurring charge.